Name:           pastebin 
Version:        0.50 
Release:        3%{?dist}
Summary:        A collaborative debugging tool 

Group:          Applications/Internet
License:        GPL 
URL:            http://pastebin.com/ 
Source0:        http://pastebin.com/pastebin.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1:        pastebin-README.fedora
Source2:        pastebin.sql
Source3:        pastebin.conf
Patch0:         pastebin-default.conf.php.patch
Patch1:         pastebin-layout.php.patch
Patch2:         pastebin-config.inc.php.patch

Requires:       httpd, php-mysql
BuildArch:      noarch


%description
pastebin is here to help you collaborate on debugging code snippets. 
If you're not familiar with the idea, most people use it to submit a code
fragment to pastebin, getting a url like http://pastebin.com/1234 and then
link that URL in IRC or IM conversations.  This allows others to see your
code and optionally post changes. 

For information on setup see %{_docdir}/%{name}-%{version}/README.fedora

%prep
%setup -q
cp -p %{SOURCE1} README.fedora
cp -p %{SOURCE2} pastebin.sql
# Start patching
pushd lib/config
%patch0 -p0
popd
pushd public_html
%patch1 -p0
popd
pushd lib/pastebin
%patch2 -p0
popd

# Now fix DOS end of line
for file in `find . -type f`
do
   if (file $file | awk -F: '{print $2}' | grep -i text &> /dev/null) ; then
      sed -i 's/\r//g' $file
   fi
done


# Set permissions properly
find . -type f| xargs chmod 644 

%build
# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT
# The httpd configuration file
mkdir -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -p -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
# The actual PHP content
mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/public_html
cp -pr lib $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp -pr public_html $RPM_BUILD_ROOT%{_datadir}/%{name}/
# The configuration file in /etc
mkdir -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/config/default.conf.php
install -p -m644 lib/config/default.conf.php \
        $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -sf ../../../../..%{_sysconfdir}/%{name}/default.conf.php  \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/config/default.conf.php 
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/geshi/geshi/css-gen.cfg
#Geshi Docs
ls $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/geshi/docs
cp -pr ./lib/geshi/docs geshi
cp -pr ./lib/geshi/contrib geshi/contrib
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/geshi/docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/geshi/contrib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES INSTALL LICENCE README UPGRADE README.fedora pastebin.sql 
%doc geshi/ 
%attr(755,root,root) %dir %{_sysconfdir}/%{name}
%attr (755,root,root) %dir /%{_datadir}/%{name}/
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%config(noreplace) %{_sysconfdir}/%{name}/*
/%{_datadir}/%{name}/*


%changelog
* Thu Jan 12 2007 Michael Stahnke <mastahnke@gmail.com> - 0.50-3
- Fixed a few more issues suggested from review [Bug 222257]
- Preserve timestamps for upstream files
- Removed a few tabs that snuck in the spec file
- Moved all doc into %doc

* Thu Jan 12 2007 Michael Stahnke <mastahnke@gmail.com> - 0.50-2
- Fixed issues suggested from review [Bug 222257]

* Wed Jan 11 2007 Michael Stahnke <mastahnke@gmail.com> - 0.50-1
- Initial Packaging 
